## org.apache.mahout.cf.taste.impl.recommender
Class ByValueRecommendedItemComparator

    java.lang.Object
      org.apache.mahout.cf.taste.impl.recommender.ByValueRecommendedItemComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator<RecommendedItem>

    public final class ByValueRecommendedItemComparator

extends java.lang.Object
implements java.util.Comparator<RecommendedItem>, java.io.Serializable

Defines a natural ordering from most-preferred item (highest value) to least-preferred.

See Also:
  Serialized Form

Constructor Summary
`ByValueRecommendedItemComparator()`

Method Summary
`int` `compare(RecommendedItem o1, RecommendedItem o2)`
`static java.util.Comparator<RecommendedItem>` `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### ByValueRecommendedItemComparator

    public ByValueRecommendedItemComparator()

Method Detail

### getInstance

    public static java.util.Comparator<RecommendedItem> getInstance()

### compare

    public int compare(RecommendedItem o1,
                       RecommendedItem o2)

  Specified by:
    `compare` in interface `java.util.Comparator<RecommendedItem>`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.